/*========= ページトップのためのCSS ===============*/
/*リンクの形状*/
#page-top a{
	display: flex;
	transition:all 0.3s;
    width: 50px;
    height: 50px;
}
#page-top a::after{
    content:"";
	position: absolute;
	top: 0;
    right: 32px;
    width: 2px;
    height: 20px;
    background: #666;
    transform: skewX(-45deg);
}
#page-top  a::before {
    content: "";
    position: absolute;
    top: 0;
    right: 12px;
    width: 2px;
    height: 20px;
    background: #666;
    transform: skewX(45deg);
}

/*リンクを右下に固定*/
#page-top {
	position: fixed;
	right: 10px;
	z-index: 2;
    /*はじめは非表示*/
	opacity: 0;
	transform: translateY(100px);
}

/*　上に上がる動き　*/

#page-top.UpMove{
	animation: UpAnime 0.5s forwards;
}
@keyframes UpAnime{
  from {
    opacity: 0;
	transform: translateY(100px);
  }
  to {
    opacity: 1;
	transform: translateY(0);
  }
}

/*　下に下がる動き　*/

#page-top.DownMove{
	animation: DownAnime 0.5s forwards;
}
@keyframes DownAnime{
  from {
  	opacity: 1;
	transform: translateY(0);
  }
  to {
  	opacity: 1;
	transform: translateY(100px);
  }
}